javax.servlet.annotation

## Annotation Type ServletSecurity

-     @Inherited
      @Documented
      @Target(value=TYPE)
      @Retention(value=RUNTIME)
      public @interface ServletSecurity

  This annotation is used on a Servlet implementation class to specify security constraints to be enforced by a Servlet container on HTTP protocol messages. The Servlet container will enforce these constraints on the url-patterns mapped to the servlets mapped to the annotated class.
  Since:
    Servlet 3.0

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `HttpMethodConstraint[]` | `httpMethodConstraints` Get the HTTP method specific constraints.
    `HttpConstraint` | `value` Get the `HttpConstraint` that defines the protection that is to be applied to all HTTP methods that are NOT represented in the array returned by `httpMethodConstraints`.

- - ### Element Detail

    - #### value

          public abstract HttpConstraint value

      Get the `HttpConstraint` that defines the protection that is to be applied to all HTTP methods that are NOT represented in the array returned by `httpMethodConstraints`.
      Returns:
        a `HttpConstraint` object.
      Default:
        @javax.servlet.annotation.HttpConstraint

    - #### httpMethodConstraints

          public abstract HttpMethodConstraint[] httpMethodConstraints

      Get the HTTP method specific constraints. Each `HttpMethodConstraint` names an HTTP protocol method and defines the protection to be applied to it.
      Returns:
        an array of `HttpMethodConstraint` elements each defining the protection to be applied to one HTTP protocol method. For any HTTP method name, there must be at most one corresponding element in the returned array. If the returned array is of zero length, it indicates that no HTTP method specific constraints are defined.
      Default:
        {}

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.